diff --git a/pgadmin/frm/events.cpp b/pgadmin/frm/events.cpp
index 9e0708d..7cc49d7 100644
--- a/pgadmin/frm/events.cpp
+++ b/pgadmin/frm/events.cpp
@@ -865,7 +865,11 @@ void frmMain::ExecDrop(bool cascaded)
 	{
 		// If the collection has a table, refresh that as well.
 		if (owneritem)
+		{
+			ObjectBrowserRefreshing(true);
 			Refresh(browser->GetObject(owneritem));
+			ObjectBrowserRefreshing(false);
+		}
 
 		// Now re-focus on the parent of the deleted node
 		if (!parent.IsEmpty())
diff --git a/pgadmin/frm/frmMain.cpp b/pgadmin/frm/frmMain.cpp
index 249f2ba..258a7f1 100644
--- a/pgadmin/frm/frmMain.cpp
+++ b/pgadmin/frm/frmMain.cpp
@@ -599,6 +599,7 @@ void frmMain::Refresh(pgObject *data)
 					browser->SetItemText(currentItem, newData->GetDisplayName());
 
 				delete data;
+				data = NULL;
 			}
 			else
 			{
